Subject: Re: git-interpret-trailers and period characters in the key

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Apr 2025 20:37:35 +0000

Christian Couder <[email-masked]> writes:

> Having a config option or something to be a bit more lenient and
> accept more characters in trailer keys could help some people, and it
> might not be very difficult to implement. On the other hand if people
> start to have a lot of weird trailers around, and abuse the config
> option to make it too lenient, then it could be a bad thing in general
> as more and more regular text might be interpreted as trailers.
>
> I also agree that our doc about this could be improved. Patches welcome.

Thanks for a concise summary.  

I agree that loosening the rule, or even adding an option to loosen
the rule, is detrimental to the ecosystem at large, and
documentation can be improved.

In retrospect, I supsect that it even was a mistake to special case
the #BUGID syntax when the trailer was pretty much about lines that
look similar to E-Mail-Header: fields.  Let's not make it worse.

Thanks.